//########## Vehicle Item Restrictions

// function RTB_registerPref(%name,%category,%preference,%vartype,%mod,%default,%requiresRestart,%hostOnly,%callback)

if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
  if(!$RTB::RTBR_ServerControl_Hook) exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");
  RTB_registerPref("Disable for","Disable Items in Vehicles","DR::Mode","list Noone 0 Driver 1 Driver&Passengers 2","Script_RestrictDriver",1,0,0);
}
else
{
  $DR::Mode = 1;
}

package gc_VehicleRestrictions
{
  function Player::mountImage(%player,%image,%slot)
  {
    parent::mountImage(%player,%image,%slot);
    if($DR::Mode > 0 && isObject(%player.getObjectMount()))
    {
      if($DR::Mode == 1 && %player.getControlObject()) { %player.unMountImage(0); }
      if($DR::Mode == 2) { %player.unMountImage(0); }
    }
  }
  function Armor::onMount(%a,%player,%vehicle,%b,%c)
  {
    parent::onMount(%a,%player,%vehicle,%b,%c);
    if($DR::Mode > 0 && isObject(%player.getObjectMount()))
    {
      if($DR::Mode == 1 && %player.getControlObject()) { %player.unMountImage(0); }
      if($DR::Mode == 2) { %player.unMountImage(0); }
    }
  }
};
activatePackage(gc_VehicleRestrictions);
